LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 06-23-2003, 05:52 PM   #1
Onox
Member
 
Registered: Jun 2003
Distribution: RedHat 9
Posts: 45

Rep: Reputation: 15
Where to get libldap.so.2 for Slackware?


I tried installing openldap but gnomemeeting still says I don't have libldap.so.2. Apparently openldap doesnt install it? O.o; Help please ^_^
 
Old 06-23-2003, 06:21 PM   #2
contrasutra
LQ Guru
 
Registered: Mar 2003
Location: New Jersey
Distribution: Arch Linux
Posts: 1,445

Rep: Reputation: 46
Thats the right library to install, have you run "ldconfig" as root yet? You usually have to do that.
 
Old 06-23-2003, 06:25 PM   #3
Onox
Member
 
Registered: Jun 2003
Distribution: RedHat 9
Posts: 45

Original Poster
Rep: Reputation: 15
I did run ldconfig..but it still doesn't work
 
Old 06-23-2003, 06:52 PM   #4
contrasutra
LQ Guru
 
Registered: Mar 2003
Location: New Jersey
Distribution: Arch Linux
Posts: 1,445

Rep: Reputation: 46
How did you install it? Did you complie it or use a package?

Have you tried restarting the computer?



You may have the file, but its not in the right location. Does it say where the file is missing from, like a location?

If it does, run #updatedb , and then $locate "libldap.so.2" . Then make a symlink from its current location to the needed location, and then run "ldconfig" again.
 
Old 06-23-2003, 07:59 PM   #5
Onox
Member
 
Registered: Jun 2003
Distribution: RedHat 9
Posts: 45

Original Poster
Rep: Reputation: 15
I used a .tgz package and installed it with pkgtool. And it doesn't say where it's missing from. Yes I tried restarting.
 
Old 06-23-2003, 08:24 PM   #6
Onox
Member
 
Registered: Jun 2003
Distribution: RedHat 9
Posts: 45

Original Poster
Rep: Reputation: 15
okay wait, I tried to compile it from source but when I run configure it says I need berkeleyDB. Anyone know where to get it?
 
Old 06-23-2003, 08:37 PM   #7
contrasutra
LQ Guru
 
Registered: Mar 2003
Location: New Jersey
Distribution: Arch Linux
Posts: 1,445

Rep: Reputation: 46
Its on the Slackware install discs.
 
Old 06-23-2003, 08:38 PM   #8
Onox
Member
 
Registered: Jun 2003
Distribution: RedHat 9
Posts: 45

Original Poster
Rep: Reputation: 15
where at?
 
Old 06-23-2003, 08:42 PM   #9
Onox
Member
 
Registered: Jun 2003
Distribution: RedHat 9
Posts: 45

Original Poster
Rep: Reputation: 15
cause on my Slackware install disc I don't think its here
 
Old 06-23-2003, 09:06 PM   #10
contrasutra
LQ Guru
 
Registered: Mar 2003
Location: New Jersey
Distribution: Arch Linux
Posts: 1,445

Rep: Reputation: 46
/slackware/l , packages db1,db2,and db3. Example: db1-1.85-i386-1.tgz

There is a text file called PACKAGES.TXT in the root directory of the slackare disc. A quick search in there will tell you where packages are.
 
Old 06-23-2003, 09:38 PM   #11
Onox
Member
 
Registered: Jun 2003
Distribution: RedHat 9
Posts: 45

Original Poster
Rep: Reputation: 15
Okay I installed db1, 2, and 3, let me try to install openldap

Last edited by Onox; 06-23-2003 at 09:44 PM.
 
Old 06-23-2003, 09:45 PM   #12
Onox
Member
 
Registered: Jun 2003
Distribution: RedHat 9
Posts: 45

Original Poster
Rep: Reputation: 15
k, when I try to configure it:

checking for Berkeley DB link (default)... no
checking for Berkeley DB link (-ldb41)... no
checking for Berkeley DB link (-ldb-41)... no
checking for Berkeley DB link (-ldb-4.1)... no
checking for Berkeley DB link (-ldb-4-1)... no
checking for Berkeley DB link (-ldb-4)... no
checking for Berkeley DB link (-ldb4)... no
checking for Berkeley DB link (-ldb)... yes
checking for Berkeley DB thread support... yes
checking Berkeley DB version for BDB backend... no
configure: error: BDB: BerkeleyDB version incompatible

 
Old 06-23-2003, 10:21 PM   #13
contrasutra
LQ Guru
 
Registered: Mar 2003
Location: New Jersey
Distribution: Arch Linux
Posts: 1,445

Rep: Reputation: 46
Well, then you have to get a newer version. Try compiling a newer version of it and see if that works.

You are experiencing what is known as "Dependancy Hell" (as if you didn't know). Its times like this when you wish you had APT, right? I know the feeling.



Or there is a berkleyDB file you missed. Search the PACKAGES.TXT for "berkeley" and see if another package comes up, I may have missed one.
 
Old 06-23-2003, 10:25 PM   #14
Onox
Member
 
Registered: Jun 2003
Distribution: RedHat 9
Posts: 45

Original Poster
Rep: Reputation: 15
I dont know where to get a newer version =S
 
Old 06-23-2003, 10:52 PM   #15
Onox
Member
 
Registered: Jun 2003
Distribution: RedHat 9
Posts: 45

Original Poster
Rep: Reputation: 15
okay I got it, I installed the newer berkeleyDB, but it still doesnt work..
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
About Slackware 9.1 boot disk?? ftp://ftp.kpn.be/pub/linux/slackware/slackware-9.1-is AL3OMDAH Slackware 4 04-18-2007 10:54 AM
Dual boot windows/slackware, but slackware installed first? Cryptic_K Slackware 3 11-20-2006 01:49 PM
Slackware 10 RC2 released; Slackware 10 imminent... SBing Slackware 22 06-22-2004 08:53 AM
Newer Slackware Packages on older slackware version pengStudent Slackware 2 11-12-2003 01:47 PM
wine and winesetuptk working well with slackware 9.0 and slackware 9.1 oobe Linux - Software 0 10-19-2003 01:29 PM


All times are GMT -5. The time now is 08:30 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration